%global git_commit bd8a7163698f5986f48b25d2e4ea8799caf62579
%global git_date 20160609

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone git://git.osmocom.org/gr-osmosdr
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

%{?filter_setup:
%filter_provides_in %{python_sitearch}/gsm/.*\.so$
%filter_setup
}

Name:             gr-gsm
URL:              https://github.com/ptrkrysik/gr-gsm
Version:          1
Release:          1.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, python2-devel, gnuradio-devel, boost-devel, doxygen
BuildRequires:    graphviz, swig, rtl-sdr-devel, uhd-devel, hackrf-devel
BuildRequires:    gr-fcdproplus-devel, gr-iqbal-devel, libosmocore-devel, cppunit-devel
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Engineering
Summary:          Tools for receiving information transmitted by GSM equipment/devices
Source0:          https://github.com/ptrkrysik/%{name}/archive/%{git_commit}/%{name}-%{git_commit}.tar.gz

%description
The gr-gsm project is based on the gsm-receiver written for the 
Airprobe project. The aim is to provide set of tools for receiving 
information transmitted by GSM equipment/devices.

%package devel
Summary:          Development files for gr-gsm
Group:            Applications/Engineering
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for gr-gsm

%package doc
Summary:        Documentation files for gr-gsm
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Documentation files for gr-gsm

%prep
%setup -qn %{name}-%{git_commit}
sed -e 's/project(gr-grgsm CXX C)/project(gr-gsm CXX C)/g' -i CMakeLists.txt

%build
mkdir build
cd build
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING README.md
%{_bindir}/*
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*
%{_libdir}/*.so

%files devel
%{_includedir}/grgsm
%{_libdir}/cmake/grgsm/gr-gsmConfig.cmake

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml

%changelog
* Wed Jun 15 2016 Michal Ingeli <mi@v3.sk> 1-1.20160609gitbd8a7163
- Porting to fit gr-gsm

* Fri Nov 06 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-12.20141023git42c66fdd
- Rebuilt for new gnuradio

* Fri Aug 14 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-11.20141023git42c66fdd
- Rebuilt for new gnuradio

* Tue Aug  4 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-10.20141023git42c66fdd
- Rebuilt for new boost

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-9.20141023git42c66fdd
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Tue Jul 28 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-8.20141023git42c66fdd
- Rebuilt for new gnuradio

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.1.3-7.20141023git42c66fdd
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-6.20141023git42c66fdd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 16 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-5.20141023git42c66fdd
- Rebuilt for new gnuradio

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.3-4.20141023git42c66fdd
- Rebuilt for GCC 5 C++11 ABI change

* Sat Mar  7 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-3.20141023git42c66fdd
- Rebuilt for new gnuradio

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 0.1.3-2.20141023git42c66fdd
- Rebuild for boost 1.57.0

* Thu Oct 23 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-1.20141023git42c66fdd
- New version
- Added gr-fcdproplus (FUNcube Dongle Pro+) support
- Added gr-iqbal support

* Wed Sep 24 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-17.20130729git9dfe3a63
- Added hackrf support

* Tue Sep  2 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-16.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-15.20130729git9dfe3a63
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 17 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-14.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-13.20130729git9dfe3a63
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 0.1.1-12.20130729git9dfe3a63
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.1.1-11.20130729git9dfe3a63
- rebuild for boost 1.55.0

* Mon May  5 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-10.20130729git9dfe3a63
- Enabled UHD support
  Resolves: rhbz#1093954

* Tue Mar 11 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-9.20130729git9dfe3a63
- Fixed pkgconfig version string

* Tue Mar 11 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-8.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Mon Jan  6 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-7.20130729git9dfe3a63
- Dummy release bump due to http://fedorahosted.org/rel-eng/ticket/5823

* Mon Dec  2 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-6.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Mon Nov 18 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-5.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Mon Sep  2 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-4.20130729git9dfe3a63
- Rebuilt for new gnuradio

* Tue Aug  6 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-3.20130729git9dfe3a63
- Used unversioned doc directory
  Resolves: rhbz#993807

* Mon Jul 29 2013 Petr Machata <pmachata@redhat.com> - 0.1.1-2.20130729git9dfe3a63
- Rebuild for boost 1.54.0

* Mon Jul 29 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-1.20130729git9dfe3a63
- New version
- Dropped doxygen-fix and docdir-override patches (upstreamed)

* Tue May 28 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-3.20130403gite85c68d9
- Rebuilt for new gnuradio

* Tue Apr  9 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-2.20130403gite85c68d9
- Packaged doxygen docs and examples
- Various improvements according to comments in the merge review

* Wed Apr  3 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 0.0.1-1.20130403gite85c68d9
- Initial version
